Skip to content
WP Engine Developers

List report templates

GET
/site_reports/templates

Description

Returns a list of report templates available for Site Reports.

Templates define the structure, branding, and sections included in generated reports.

account_id
required
string format: uuid

Account ID to filter templates. This parameter is required.

List of report templates

object
templates
Array<object>

Report template defining structure and branding for generated reports

object
template_uuid
required

Unique identifier for the template

string format: uuid
Example
123e4567-e89b-12d3-a456-426614174000
template_name
required

Display name of the template

string
<= 100 characters
Example
Site Report
description

Detailed description of what the template includes

string
Example
Comprehensive site performance and analytics report
company_name

Company name displayed on the report

string
Example
WP Engine
brand_colour

Brand color used in the report (hex format)

string
Example
#0ECAD4
logo_url

URL to the company logo

string format: uri
Example
https://storage.googleapis.com/crs-assets/logos/wpengine-logo.png
preview_image_url

URL to template preview image

string format: uri
Example
https://storage.googleapis.com/crs-assets/previews/site-report-preview.png
sections

List of sections included in this template

Array<object>
object
name
string
Example
cover
Example
[
{
"name": "cover"
},
{
"name": "overview"
},
{
"name": "usage"
},
{
"name": "themes"
}
]
created_at

Timestamp when the template was created

string format: date-time
Example
2024-01-15T10:30:00Z
updated_at

Timestamp when the template was last updated

string format: date-time
Example
2024-03-20T14:45:00Z

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

An invalid response was received from an upstream server

Service unavailable